#!/bin/bash
# © Copyright [2024] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates and licensors
# (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such
# products and services. Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial errors or omissions
# contained herein. The information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential information
# and a valid license is required for possession, use or copying. If this work is provided to the
# U.S. Government, consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items are licensed
# to the U.S. Government under vendor's standard commercial license.


setBrigeIPInfoEnvoyJson() {
	BRIDGE_NAME=`docker network inspect bridge | grep -e 'com.docker.network.bridge.name' | cut -d':' -f2 | sed 's/[",[:space:]]//g'`
	if [ -z $BRIDGE_NAME ]; then
		echo "Unable to get docker default bridge name.\n"
		exit 1;
	fi
	BRIDGE_GATEWAY=`docker network inspect bridge | grep -e Gateway | cut -d':' -f2 | sed 's/[",[:space:]]//g'`
	echo "Docker bridge network IP $BRIDGE_GATEWAY"
	if [ -z $BRIDGE_GATEWAY ]; then
	    echo "Unable to get docker default bridge subnet.\n"
	    exit 1;
	fi
	cat /etc/opt/novell/cis/zk/zk_envoy.json | grep {address} > /dev/null 2>&1
        if [ $? -ne 0 ]; then
	    sed -Ei ':a;N;$!ba;s/([^/])\b([0-9]{1,3}\.){3}[0-9]{1,3}\b([^/])'/\"$BRIDGE_GATEWAY\"/2 /etc/opt/novell/cis/zk/zk_envoy.json
	    systemctl restart oes-cis-zk.service
	fi
	cat /etc/opt/novell/cis/analytics/os_envoy.json | grep {address} > /dev/null 2>&1
        if [ $? -ne 0 ]; then
	    sed -Ei ':a;N;$!ba;s/([^/])\b([0-9]{1,3}\.){3}[0-9]{1,3}\b([^/])'/\"$BRIDGE_GATEWAY\"/2 /etc/opt/novell/cis/analytics/os_envoy.json
	    systemctl restart oes-cis-opensearch.service
	fi
}

setBrigeIPInfoEnvoyJson
